// 网络连接错误提示信息
export const HTTP_ERROR_MESSAGE = '系统出小差了，请联系管理员处理 ≧﹏≦';
// 提示信息停留时间
export const ELEMENT_MESSAGE_DURATION = 3000;
// 前台存储的token字段名
export const AUTH_TOKEN_FRONT = 'TOKEN_STRING';
// 后台存储的token字段名
export const AUTH_TOKEN_END = 'Token';
// 允许的图片类型列表
export const UPLOAD_IMAGE_TYPE = [
  'bmp',
  'jpg',
  'jpeg',
  'png',
  'tif',
  'gif',
  'pcx',
  'tga',
  'exif',
  'fpx',
  'svg',
  'psd',
  'cdr',
  'pcd',
  'dxf',
  'ufo',
  'eps,',
  'ai,',
  'raw',
  ',WMF',
  'webp',
];
// 上传图片的最大大小，单位：MB
export const UPLOAD_IMAGE_MAX_SIZE = 10;
// 正则表达式：身份证号
export const REGULAR_EXPRESSION_IDNUMBER = /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/;
// 项目的标题文字
export const PROGRAM_Title = '京铁学堂';
// 工种类型
export const ENGINEERING_WORK_LIST = [
  { id: 1, name: '桥隧工', code: 'QiaoSuiGong' },
  // { id: 2, name: "测量工", code: "CeLiangGong" },
  { id: 3, name: '线路工', code: 'XianLuGong' },
];
// 试题类型
export const EXAM_QUESTION_TYPE = [
  { id: 1, name: '单选题', code: 'DanXuan' },
  { id: 2, name: '多选题', code: 'DuoXuan' },
  { id: 3, name: '判断题', code: 'PanDuan' },
  { id: 4, name: '填空题', code: 'TianKong' },
];
// 试题类别
export const EXAM_QUESTION_TYPE_CONDITION = [
  { id: 1, name: '类别1', code: 'LeiBie1' },
  { id: 2, name: '类别2', code: 'LeiBie2' },
  { id: 3, name: '类别3', code: 'LeiBie3' },
  { id: 4, name: '类别4', code: 'LeiBie4' },
];
// 考试分类
export const EXAM_TYPE = [
  { id: 1, name: '普通考试', code: 'PuTongKaoShi' },
  { id: 2, name: '专项考试', code: 'ZhuanXiangKaoShi' },
];
